Package org.gradle.api.publish.maven

# Interface MavenDependency

@Incubating public interface MavenDependency
A dependency declared as part of an `MavenPublication`.

## Method Summary

Modifier and Type
Method
Description
`String`
`getArtifactId()`
The artifactId value for this dependency.
`String`
`getGroupId()`
The groupId value for this dependency.
`String`
`getVersion()`
The version value for this dependency.

## Method Details

### getGroupId

String getGroupId()
The groupId value for this dependency.

### getArtifactId

String getArtifactId()
The artifactId value for this dependency.

### getVersion

String getVersion()
The version value for this dependency.